Skip to main content

List credential types

GET 

/api/v1/Credential/GetCredentialTypes

Returns the credential types as names with their numbers. Use it to look up the values for the type field and the type and credentialType query parameters.

Permission required: Admin or App role.

Values for CredentialType: -1 = Any, 0 = Configuration, 1 = User, 2 = Service, 3 = ActivityToken, 4 = Application, 5 = VaultUser, 6 = SshKeyCert.

Request​

Responses​

An object that maps each credential type name to its number.